package com.ozs.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.entity.BaseUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * @author Administrator
 */
public interface BaseUserService extends IService<BaseUser> {

    Set<String> getUserIdList(String createBy, Long deptId);

    BaseUser getUser(String userId);

    BaseUser getUserById(Long id);

    BaseUser getUserName(@Param("userName") String userName);

    List<String> getRoleName(@Param("userId")String userId);

    List<String> getUserListAll();
}
